# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KSocketDeviceFactory< Impl > Class Template Reference

This class provides functionality for creating and registering socket implementations. More...

`#include <ksocketdevice.h>`

List of all members.

## Public Member Functions

virtual KSocketDevice * | create (KSocketBase *parent) const

## Detailed Description

### template<class Impl>
class KNetwork::KSocketDeviceFactory< Impl >

This class provides functionality for creating and registering socket implementations.

Definition at line 413 of file ksocketdevice.h.

The documentation for this class was generated from the following file:

- ksocketdevice.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003